Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Name | ### Movie
Examples |
    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      myMovie = new Movie(this, "totoro.mov");
      myMovie.loop();
    }

    void draw() {
      tint(255, 20);
      image(myMovie, mouseX, mouseY);
    }

    // Called every time a new frame is available to read
    void movieEvent(Movie m) {
      m.read();
    }
Description | Datatype for storing and playing movies in Apple's QuickTime format. Movies must be located in the sketch's data directory or an accessible place on the network to load without an error.
Methods |
read() | Reads the current frame from the movie
available() | Returns true when a new frame is available
play() | Plays the movie once
pause() | Pauses the movie playback
stop() | Stops the movie playback
loop() | Plays the movie continuously
noLoop() | Stops the movie from looping
jump() | Jumps to a specific location in the movie
duration() | Returns the total length of the movie
time() | Returns the current playback position
speed() | Sets a multiplier for how fast/slow a movie should play
frameRate() | Sets how often new frames are read from the movie
Constructor |
    Movie(parent, filename)
    Movie(parent, filename, fps)
    Movie(parent, url)
    Movie(parent, url, fps)
Parameters |
parent | PApplet: typically use "this"
filename | String: name of the movie
fps | int: frames per second
url | URL: location of the file on the network
Usage | Application

Updated on June 14, 2010 12:05:23pm EDT